@import '../../../styles/_variables.scss';

zs-notification-list {
	background-color: rgb(238,238,238);

	.notifications{
		flex:1;
		overflow-y:auto;
		min-height: 0px;
	}

	.notification-list {
		display: block;
		padding: 0;
		margin: 0;
		margin-bottom: 10px;
		box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.30);
	}

	.notifications-no-notifications{
		padding-top: 60px;
		color: rgb(200,200,200);
		text-align: center;

		zs-icon{
			display: block;
			font-size: 11em;
			color: rgb(212,212,212);
			margin-bottom: 15px;
		}
	}	

	.notification-list-header {
		padding: 0 15px 0 20px;
		background-color: #fff;
		border-bottom: solid 1px #ddd;
		font-size:1.35rem;
		line-height: 64px;
		display: flex;

		&.no-notifications{
			background-color: rgb(238,238,238);
			border-bottom: none;
		}
	}

	.notification-list-header-buttons{
		flex-shrink: 0;
		margin-left: auto;
		display: flex;
		align-items: center;

		zs-icon{
			border-radius: 100%;
			width:2.3rem;
			height:2.3rem;
			line-height: 2.3rem;
			display: flex;
			align-items: center;
			justify-content: center;
			font-size:$h1-font-size;			
		}

		button{
			background: none;
			border: 0;
			color: #999;
			padding:0;
			&:focus{
				outline:0;
			}
			&:hover zs-icon{
				color: #000;
				background: rgba(0,0,0,.1);
			}
		}
	}

	.notification-read-more{
		padding:1rem;
		justify-content: center;
		display: flex;
	}

	zs-spinner{
		display: inline-block;
	}
}
